# Get all actions for all Elastic Access line items of the instance

API to fetch all actions for all Elastic Access line items of the instance.

Endpoint: GET /api/v1.1/instances/{instanceId}/line-items/actions
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Path parameters:

  - `instanceId` (string, required)
    The UUID of the Dynamic Monetization instance.

## Query parameters:

  - `next` (integer)
    The pagination cursor returned from the previous GET request. Use it to fetch the next set of line items, along with their associated actions. 
If there are no more line items, the returned cursor value is 0.
If not provided in the request, the cursor defaults to 0.

## Response 200:

  - `200` (unknown)
    A list of actions was returned successfully.

## Response 200 fields (application/json):

  - `lineItems` (array)
    The list of instances.

  - `lineItems.lineItemId` (string)
    The activation ID of the line item.

  - `lineItems.actions` (array)
    The list of actions for the line item.

  - `lineItems.actions.id` (string)
    A generated identifier to uniquely identify the action.

  - `lineItems.actions.name` (string)
    A human readable name to help a user identify the action. The same name may be re-used in other line items.

  - `lineItems.actions.conditionId` (string)
    The unique identifier of the condition that triggers this action.

Required, unless defining a default action. Only one default action may be defined per line item.

  - `lineItems.actions.action` (string, required)
    The action to take when the condition is met.
    Enum: "ALLOW", "DENY"

  - `lineItems.actions.allocation` (number)
    The maximum number of tokens that may be consumed from the stated line item by requests satisfying the condition.

Required for ALLOW, but may be omitted at most once per line item to create a default ALLOW action.
Not used for DENY.
    Example: 1000

  - `lineItems.actions.used` (number)
    The total count that has been consumed from the allocation by access requests.

This field is only present for actions which have an allocation.

  - `next` (integer)
    If there are more actions to get, this value will be non-zero and can be used in a subsequent GET request to retrieve the next page of actions.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 403:

  - `403` (unknown)
    Forbidden. The user is forbidden from performing this operation. Check user permissions.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

